Loading...
Searching...
No Matches
casacore::Sinusoid1D_PS< AutoDiff< T > > Class Template Reference

Partial specialization of Sinusoid1D for AutoDiff. More...

`#include <Sinusoid1D.h>`

## Public Member Functions

| Sinusoid1D_PS ()
| Constructs one dimensional Sinusoids.
| Sinusoid1D_PS (const AutoDiff< T > &amplitude)
| Sinusoid1D_PS (const AutoDiff< T > &amplitude, const AutoDiff< T > &period)
| Sinusoid1D_PS (const AutoDiff< T > &amplitude, const AutoDiff< T > &period, const AutoDiff< T > &x0)
| Sinusoid1D_PS (const Sinusoid1D_PS &other)
| Copy constructor (deep copy).
template<class W>
| Sinusoid1D_PS (const Sinusoid1D_PS< W > &other)
Sinusoid1D_PS< AutoDiff< T > > & | operator= (const Sinusoid1D_PS< AutoDiff< T > > &other)
| Copy assignment (deep copy).
virtual | ~Sinusoid1D_PS ()
| Destructor.
virtual AutoDiff< T > | eval (typename Function< AutoDiff< T > >::FunctionArg x) const
| Evaluate the Sinusoid at x.
virtual Function< AutoDiff< T > > * | clone () const
| Return a copy of this object from the heap.
virtual Function< typename FunctionTraits< AutoDiff< T > >::DiffType > * | cloneAD () const
virtual Function< typename FunctionTraits< AutoDiff< T > >::BaseType > * | cloneNonAD () const
Public Member Functions inherited from casacore::Sinusoid1DParam< AutoDiff< T > >
| Sinusoid1DParam ()
| Constructs the Sinusoids, Defaults: amplitude=1, period==1, x0=0.
Sinusoid1DParam< T > & | operator= (const Sinusoid1DParam< T > &other)
| Copy assignment (deep copy).
virtual | ~Sinusoid1DParam ()
| Destructor.
virtual const String & | name () const
| Give name of function.
T | amplitude () const
| Get or set the amplitude of the Sinusoid.
void | setAmplitude (const T &amplitude)
T | x0 () const
| Get or set the x0 of the Sinusoid, the location of a peak.
void | setX0 (const T &x0)
T | period () const
| Get or set the period of the Sinusoid in full cycles.
void | setPeriod (const T &period)
Public Member Functions inherited from casacore::Function1D< T, U >
| Function1D ()
| Constructors.
| Function1D (const uInt n)
| Function1D (const Vector< T > &in)
| Function1D (const FunctionParam< T > &other)
template<class W, class X>
| Function1D (const Function1D< W, X > &other)
virtual | ~Function1D ()
| Destructor.
virtual uInt | ndim () const
| Returns the number of dimensions of function.
Public Member Functions inherited from casacore::Function< T, T >
| Function ()
| Constructors.
virtual | ~Function ()
| Destructor.
uInt | nparameters () const
| Returns the number of parameters.
virtual T | eval (FunctionArg x) const=0
| Evaluate the function object.
T & | operator[] (const uInt n)
| Manipulate the nth parameter (0-based) with no index check.
virtual T | operator() () const
| Evaluate this function object at xor at x, y.
Bool & | mask (const uInt n)
| Manipulate the mask associated with the nth parameter (e.g.
const FunctionParam< T > & | parameters () const
| Return the parameter interface.
const Vector< ArgType > & | argp () const
| Get arg_p and parset_p.
Bool | parsetp () const
void | lockParam ()
| Compiler cannot always find the correct 'const' version of parameter access.
void | unlockParam ()
virtual void | setMode (const RecordInterface &mode)
| get/set the function mode.
virtual void | getMode (RecordInterface &mode) const
virtual Bool | hasMode () const
| return True if the implementing function supports a mode.
ostream & | print (ostream &os) const
| Print the function (i.e.
Public Member Functions inherited from casacore::Functional< FunctionTraits< T >::ArgType, T >
virtual | ~Functional ()
| Destructor.
virtual T | operator() (const FunctionTraits< T >::ArgType &x) const=0
| Map a Domain x into a Range y value.
Public Member Functions inherited from casacore::Functional< Vector< FunctionTraits< T >::ArgType >, T >
virtual | ~Functional ()
| Destructor.
virtual T | operator() (const Vector< FunctionTraits< T >::ArgType > &x) const=0
| Map a Domain x into a Range y value.

## Additional Inherited Members

Public Types inherited from casacore::Sinusoid1DParam< AutoDiff< T > >
enum |
| Parameter numbers. More...
Public Types inherited from casacore::Function1D< T, U >
typedef const T * | FunctionArg
Public Types inherited from casacore::Function< T, T >
typedef FunctionTraits< T >::ArgType | ArgType
typedef const ArgType * | FunctionArg
Protected Attributes inherited from casacore::Function< T, T >
FunctionParam< T > | param_p
| The parameters and masks.
Vector< ArgType > | arg_p
| Aid for non-contiguous argument storage.
Bool | parset_p
| Indicate parameter written.
Bool | locked_p
| Indicate that parameters are expected to be locked from changing.

## Detailed Description

template<class T>
class casacore::Sinusoid1D_PS< AutoDiff< T > >

Partial specialization of Sinusoid1D for AutoDiff.

### Synopsis

Warning: The name Sinusoid1D_PS is only for cxx2html documentation problems; Use Sinusoid1D in your code;

Definition at line 183 of file Sinusoid1D.h.

## Constructor & Destructor Documentation

## Sinusoid1D_PS() [1/6]

template<class T>

casacore::Sinusoid1D_PS< AutoDiff< T > >::Sinusoid1D_PS | ( |  | ) |

inline

Constructs one dimensional Sinusoids.

Definition at line 190 of file Sinusoid1D.h.

References casacore::Sinusoid1DParam< AutoDiff< T > >::Sinusoid1DParam().

Referenced by operator=(), Sinusoid1D_PS(), and Sinusoid1D_PS().

## Sinusoid1D_PS() [2/6]

template<class T>

casacore::Sinusoid1D_PS< AutoDiff< T > >::Sinusoid1D_PS | ( | const AutoDiff< T > & | amplitude | ) |

inline explicit

Definition at line 191 of file Sinusoid1D.h.

References casacore::Sinusoid1DParam< AutoDiff< T > >::amplitude(), and casacore::Sinusoid1DParam< AutoDiff< T > >::Sinusoid1DParam().

## Sinusoid1D_PS() [3/6]

template<class T>

casacore::Sinusoid1D_PS< AutoDiff< T > >::Sinusoid1D_PS | ( | const AutoDiff< T > & | amplitude,
|  | const AutoDiff< T > & | period )

inline

Definition at line 193 of file Sinusoid1D.h.

References casacore::Sinusoid1DParam< AutoDiff< T > >::amplitude(), casacore::Sinusoid1DParam< AutoDiff< T > >::period(), and casacore::Sinusoid1DParam< AutoDiff< T > >::Sinusoid1DParam().

## Sinusoid1D_PS() [4/6]

template<class T>

casacore::Sinusoid1D_PS< AutoDiff< T > >::Sinusoid1D_PS | ( | const AutoDiff< T > & | amplitude,
|  | const AutoDiff< T > & | period,
|  | const AutoDiff< T > & | x0 )

inline

Definition at line 195 of file Sinusoid1D.h.

References casacore::Sinusoid1DParam< AutoDiff< T > >::amplitude(), casacore::Sinusoid1DParam< AutoDiff< T > >::period(), casacore::Sinusoid1DParam< AutoDiff< T > >::Sinusoid1DParam(), and casacore::Sinusoid1DParam< AutoDiff< T > >::x0().

## Sinusoid1D_PS() [5/6]

template<class T>

casacore::Sinusoid1D_PS< AutoDiff< T > >::Sinusoid1D_PS | ( | const Sinusoid1D_PS< AutoDiff< T > > & | other | ) |

inline

Copy constructor (deep copy).

Definition at line 202 of file Sinusoid1D.h.

References Sinusoid1D_PS(), and casacore::Sinusoid1DParam< AutoDiff< T > >::Sinusoid1DParam().

## Sinusoid1D_PS() [6/6]

template<class T>
template<class W>

casacore::Sinusoid1D_PS< AutoDiff< T > >::Sinusoid1D_PS | ( | const Sinusoid1D_PS< W > & | other | ) |

inline

Definition at line 205 of file Sinusoid1D.h.

References Sinusoid1D_PS(), and casacore::Sinusoid1DParam< AutoDiff< T > >::Sinusoid1DParam().

## ~Sinusoid1D_PS()

template<class T>

virtual casacore::Sinusoid1D_PS< AutoDiff< T > >::~Sinusoid1D_PS | ( |  | ) |

inline virtual

Destructor.

Definition at line 215 of file Sinusoid1D.h.

## Member Function Documentation

## clone()

template<class T>

virtual Function< AutoDiff< T > > * casacore::Sinusoid1D_PS< AutoDiff< T > >::clone | ( |  | ) | const

inline virtual

Return a copy of this object from the heap.

The caller is responsible for deleting this pointer.

Implements casacore::Function< T, T >.

Definition at line 228 of file Sinusoid1D.h.

## cloneAD()

template<class T>

virtual Function< typename FunctionTraits< AutoDiff< T > >::DiffType > * casacore::Sinusoid1D_PS< AutoDiff< T > >::cloneAD | ( |  | ) | const

inline virtual

Reimplemented from casacore::Function< T, T >.

Definition at line 231 of file Sinusoid1D.h.

## cloneNonAD()

template<class T>

virtual Function< typename FunctionTraits< AutoDiff< T > >::BaseType > * casacore::Sinusoid1D_PS< AutoDiff< T > >::cloneNonAD | ( |  | ) | const

inline virtual

Reimplemented from casacore::Function< T, T >.

Definition at line 235 of file Sinusoid1D.h.

## eval()

template<class T>

virtual AutoDiff< T > casacore::Sinusoid1D_PS< AutoDiff< T > >::eval | ( | typename Function< AutoDiff< T > >::FunctionArg | x | ) | const

virtual

Evaluate the Sinusoid at x.

## operator=()

template<class T>

Sinusoid1D_PS< AutoDiff< T > > & casacore::Sinusoid1D_PS< AutoDiff< T > >::operator= | ( | const Sinusoid1D_PS< AutoDiff< T > > & | other | ) |

inline

Copy assignment (deep copy).

Definition at line 211 of file Sinusoid1D.h.

References Sinusoid1D_PS(), and casacore::Sinusoid1DParam< AutoDiff< T > >::Sinusoid1DParam().

The documentation for this class was generated from the following file:

- scimath/Functionals/Sinusoid1D.h